> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save a teammate

> Saves a new (or update an existing) teammate of the authenticated accountant



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/accountant/teammate
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accountant/teammate:
    post:
      tags:
        - Accountant
      summary: Save a teammate
      description: >-
        Saves a new (or update an existing) teammate of the authenticated
        accountant
      operationId: postAccountantTeammate
      requestBody:
        description: teammate object
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYTeammateDTOV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYTeammateDTOV5:
      properties:
        teammate:
          $ref: '#/components/schemas/TeammateDTOV5'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    TeammateDTOV5:
      type: object
      properties:
        users:
          type: array
          description: Users this accountant has access to
          items:
            $ref: '#/components/schemas/TeammateUserDTOV5'
        id:
          type: integer
          description: >-
            Id of the accountant. Either id or userId is required to update a
            teammate
          format: int64
        userId:
          type: string
          description: >-
            Id of the accountant in your DB. Either userId or id is required to
            update a teammate
        email:
          type: string
          description: Email address for the accountant
          example: jane@mycompany.com
        firstName:
          type: string
          description: First name for the accountant
          example: Jane
        lastName:
          type: string
          description: Last name for the accountant
          example: Doe
        status:
          type: string
          description: Status of this accountant
          enum:
            - ACTIVE
            - INACTIVE
        canReopenBooks:
          type: boolean
          description: Whether this accountant can reopen books
        canManageAdmins:
          type: boolean
          description: Whether this accountant can manage other accountants
        canManageUsers:
          type: boolean
          description: Whether this accountant can manage users
        canAccessAllUsers:
          type: boolean
          description: Whether this accountant has access to all users
        password:
          type: string
          description: >-
            Password for the accountant. Write-only; never returned in
            responses.
          example: password123
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    TeammateUserDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Id of the user
          format: int64
        userId:
          type: string
          description: Id of the user in your DB
        status:
          type: string
          description: >-
            Status of the relationship between the accountant teammate and this
            user
          enum:
            - ACTIVE
            - INACTIVE
        accessLevel:
          type: string
          description: >-
            Level of access for the relationship between the accountant teammate
            and this user
          enum:
            - READ_WRITE
            - READ_ONLY
      description: Users this accountant has access to
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````